## ros-lunar-catkin 0.7.14

=== debian/changelog ===
ros-lunar-catkin (0.7.14-0xenial) xenial; urgency=high

  * terminal_color is now in catkin_pkg, regression from 0.7.13 (#943 <https://github.com/ros/catkin/issues/943>)
  * fix permission of CMake file (#942 <https://github.com/ros/catkin/issues/942>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 07:00:00 -0000

ros-lunar-catkin (0.7.13-0xenial) xenial; urgency=high

  * add separate option CATKIN_INSTALL_INTO_PREFIX_ROOT (#940 <https://github.com/ros/catkin/issues/940>)
  * find the Python version specified in ROS_PYTHON_VERSION (#939 <https://github.com/ros/catkin/issues/939>)
  * move catkin_prepare_release script as well as dependencies to catkin_pkg (#941 <https://github.com/ros/catkin/issues/941>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 31 May 2018 07:00:00 -0000

ros-lunar-catkin (0.7.12-0xenial) xenial; urgency=high

  * add CMake option for symlink install (#929 <https://github.com/ros/catkin/issues/929>)
  * use verbatim on test target to fix testing with Ninja (#935 <https://github.com/ros/catkin/issues/935>)
  * do not add_library() gmock and gtest if targets already exist (#927 <https://github.com/ros/catkin/issues/927>)
  * modernize Python 2 code to get ready for Python 3 (#928 <https://github.com/ros/catkin/issues/928>)
  * remove Python 3.3 specific code because it is end of life (#924 <https://github.com/ros/catkin/issues/924>)
  * fix an error in the comment. (#930 <https://github.com/ros/catkin/issues/930>)
  * fix typos (#934 <https://github.com/ros/catkin/issues/934>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 01 May 2018 07:00:00 -0000

ros-lunar-catkin (0.7.11-0xenial) xenial; urgency=high

  * catkin_add_gtest: drop explicit add_dependencies(), rely on CMake. (#917 <https://github.com/ros/catkin/issues/917>)
  * prevent reading non-whitelisted properties of interface targets (#916 <https://github.com/ros/catkin/issues/916>)
  * fix logic when only gtest is present (#919 <https://github.com/ros/catkin/issues/919>)
  * add option to pass specific version to catkin_prepare_release (#918 <https://github.com/ros/catkin/issues/918>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 02 Feb 2018 08:00:00 -0000

ros-lunar-catkin (0.7.10-0xenial) xenial; urgency=high

  * support for googletest 1.8 and deduplicated code (#914 <https://github.com/ros/catkin/pull/914>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 24 Jan 2018 08:00:00 -0000

ros-lunar-catkin (0.7.9-0xenial) xenial; urgency=high

  * add support for GMock (#897 <https://github.com/ros/catkin/pull/897>)
  * provide default values to unbound variables in setup.sh.in (#907 <https://github.com/ros/catkin/pull/907>)
  * cleanup environment changes reliably (#906 <https://github.com/ros/catkin/pull/906>)
  * call the find PythonInterp with version in the arguments (#898 <https://github.com/ros/catkin/issues/898>)
  * fix python3 support for builder.py (#903 <https://github.com/ros/catkin/pull/903>)
  * fix Unicode write error (#902 <https://github.com/ros/catkin/pull/902>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Jan 2018 08:00:00 -0000

ros-lunar-catkin (0.7.8-0xenial) xenial; urgency=high

  * handle EOF on raw_input (#888 <https://github.com/ros/catkin/issues/888>)
  * dynamically check gtest library type (#885 <https://github.com/ros/catkin/issues/885>)
  * remove executable flag since file is not a script (#882 <https://github.com/ros/catkin/issues/882>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 27 Oct 2017 07:00:00 -0000

ros-lunar-catkin (0.7.7-0xenial) xenial; urgency=high

  * fix warning in case devel space is nested in the build space (#880 <https://github.com/ros/catkin/pull/880>)
  * remove workaround using -l:<libpath> necessary for older pkg-config versions (#879 <https://github.com/ros/catkin/issues/879>)
  * replace exec call with runpy.run_path (#873 <https://github.com/ros/catkin/issues/873>)
  * use environment variable to extend environment in plain shell (#862 <https://github.com/ros/catkin/issues/862>)
  * prefer reporting problems to bugtracker / website before maintainer (#861 <https://github.com/ros/catkin/issues/861>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-lunar-catkin (0.7.6-0xenial) xenial; urgency=high

  * skip gtest install rules for newer gtest versions (#857 <https://github.com/ros/catkin/issues/857>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Feb 2017 08:00:00 -0000

ros-lunar-catkin (0.7.5-0xenial) xenial; urgency=high

  * update --pkg help for catkin_make_isolated (#853 <https://github.com/ros/catkin/issues/853>)
  * add skipped / disabled tests to catkin_test_results summary (#848 <https://github.com/ros/catkin/issues/848>)
  * use functions instead of macros where possible to avoid leaking variables (#835 <https://github.com/ros/catkin/issues/835>)
  * write output of parsing package xml as UTF-8 for Python 3 (#828 <https://github.com/ros/catkin/issues/828>)
  * update documentation

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 14 Feb 2017 08:00:00 -0000

ros-lunar-catkin (0.7.4-0xenial) xenial; urgency=high

  * fix regression in logic to select make / ninja for CMake packages from 0.7.2 (#826 <https://github.com/ros/catkin/issues/826>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sun, 25 Sep 2016 07:00:00 -0000

ros-lunar-catkin (0.7.3-0xenial) xenial; urgency=high

  * relax fixed DEPENDS check from last release (#825 <https://github.com/ros/catkin/issues/825>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 19 Sep 2016 07:00:00 -0000

ros-lunar-catkin (0.7.2-0xenial) xenial; urgency=high

  * change warning to status when nosetests was not found (#823 <https://github.com/ros/catkin/issues/823>)
  * maintain file context when invoking Python scripts through relay (#820 <https://github.com/ros/catkin/issues/820>)
  * fix rollback logic for more than one value per environment variable and workspace (#819 <https://github.com/ros/catkin/issues/819>)

